org.apache.jmeter.protocol.smtp.sampler.protocol

## Class LocalTrustStoreSSLSocketFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - org.apache.jmeter.protocol.smtp.sampler.protocol.LocalTrustStoreSSLSocketFactory

-     public class LocalTrustStoreSSLSocketFactory
      extends SSLSocketFactory

  This class implements an SSLSocketFactory which supports a local truststore.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalTrustStoreSSLSocketFactory(File truststore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createSocket()`
    `Socket` | `createSocket(InetAddress inaddr, int i)`
    `Socket` | `createSocket(InetAddress inaddr, int i, InetAddress inaddr1, int j)`
    `Socket` | `createSocket(Socket socket, String s, int i, boolean flag)`
    `Socket` | `createSocket(String s, int i)`
    `Socket` | `createSocket(String s, int i, InetAddress inaddr, int j)`
    `String[]` | `getDefaultCipherSuites()`
    `String[]` | `getSupportedCipherSuites()`

    - ### Methods inherited from class javax.net.ssl.SSLSocketFactory

      `createSocket, getDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalTrustStoreSSLSocketFactory

          public LocalTrustStoreSSLSocketFactory(File truststore)

  - ### Method Detail

    - #### createSocket

          public Socket createSocket(Socket socket,
                                     String s,
                                     int i,
                                     boolean flag)
                              throws IOException

      Specified by:
        `createSocket` in class `SSLSocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(InetAddress inaddr,
                                     int i,
                                     InetAddress inaddr1,
                                     int j)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(InetAddress inaddr,
                                     int i)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(String s,
                                     int i,
                                     InetAddress inaddr,
                                     int j)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket(String s,
                                     int i)
                              throws IOException

      Specified by:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### createSocket

          public Socket createSocket()
                              throws IOException

      Overrides:
        `createSocket` in class `SocketFactory`
      Throws:
        `IOException`

    - #### getDefaultCipherSuites

          public String[] getDefaultCipherSuites()

      Specified by:
        `getDefaultCipherSuites` in class `SSLSocketFactory`

    - #### getSupportedCipherSuites

          public String[] getSupportedCipherSuites()

      Specified by:
        `getSupportedCipherSuites` in class `SSLSocketFactory`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.